package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import java.net.URI;
import javax.print.attribute.PrintServiceAttribute;
import javax.print.attribute.URISyntax;

public final class PrinterMoreInfoManufacturer extends URISyntax implements PrintServiceAttribute
{
    private static final long serialVersionUID = 3323271346485076608L;
    
    public PrinterMoreInfoManufacturer(URI uri) {
        super(uri);
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof PrinterMoreInfoManufacturer;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return PrinterMoreInfoManufacturer.class;
    }
    
    @Override
    public final String getName() {
        return "printer-more-info-manufacturer";
    }
}
